Subject: Re: [PATCH 2/2] i2c: MPC8349E-mITX Power Management and GPIO expander driver

From: Anton Vorontsov <[email-masked]>
Date: Fri, 10 Oct 2008 19:16:25 +0400

On Fri, Oct 10, 2008 at 09:58:44AM -0500, Kumar Gala wrote:
[...]
>>> is the plan to connect ppc_md.machine_shutdown() with this?
>>
>> You mean poweroff? It's already connected.
>>
>> +       /* XXX: this is potentially racy, but there is no lock for  
>> ppc_md */
>> +       if (!ppc_md.power_off) {
>> +               glob_mcu = mcu;
>> +               ppc_md.power_off = mcu_power_off;
>> +               dev_info(&client->dev, "will provide power-off  
>> service\n");
>> +       }
>
>
> uuh, yeah.. poweroff :)
>
> and look at that.  Is this in Jean's queue?

Nope. Here's what Jean wrote:

On Wed, Oct 01, 2008 at 01:22:48PM +0200, Jean Delvare wrote:
> I do not have the time to review these patches (and, honestly, have no
> interest in them.) So I will not merge them but I have no objection to
> them being merged by somebody else.

So.. I think it could easily go through the powerpc tree.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2